Skip to main content
PATCH

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required
scheduleId
string<uuid>
required

Body

application/json

Partial schedule update. Omitted fields are left unchanged. The artifact version, variable overrides and runner are updated via the pipeline block; an explicit null resets versionName to the latest artifact version and runnerId to the environment's default agent, and clears the variable overrides.

pipeline
object

Execution details to update on the schedule.

schedule
object

Schedule-timing details to update.

Response

Schedule updated successfully

allowConcurrentExecutions
boolean

A boolean flag for whether the scheduled pipeline is allowed to execute concurrently. If false, the pipeline will not be executed if it is already running. Defaults to true when not explicitly set.

Example:

false

cronExpression
string

Either an intervalExpression or cronExpression must be present for a schedule. This this is formatted in the Quartz format.

Example:

"0 * * ? * * *"

cronTimezone
string

The timezone region value used to determine in what timezone the CronExpression is applied.

It will be used to in combination with the cronExpression to determine the schedule run times in the specified timezone region.

Example:

"Europe/Dublin"

effectiveFrom
string<date-time>
Example:

"2022-05-19T12:37:44.000Z"

environmentName
string

The environment name to run the pipeline that the schedule is associated with

Example:

"Dev Environment"

gridVariables
object

The map of grid variables to be overridden when ETL pipeline is executed

Example:
intervalExpression
object

Either an intervalExpression or cronExpression must be present for a schedule. This intervalExpression details the interval between each scheduled run.

lastRunAt
string<date-time>

A datetime value for when the schedule last ran.

The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC

Example:

"2022-06-30T01:14:00.000Z"

name
string

An optional name for the schedule, if not provided then it will constructed from pipelinename_environment_currentTimestamp

Example:

"Nightly database backup"

nextRunAt
string<date-time>

A datetime value for when the schedule should next run.

The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC

Example:

"2022-06-30T01:15:00.000Z"

pipelineName
string

Name of the pipeline that the schedule is associated with

Example:

"Nightly database backup"

runnerId
string

The UUID of the runner (agent) the schedule is assigned to run on. This is the same identifier as the create endpoint's agentId.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

scalarVariables
object

The map of scalar variables to be overridden when ETL pipeline is executed

Example:
scheduleEnabled
boolean

An enabled boolean flag for whether the schedule is enabled.

Example:

false

scheduleId
string

The generated unique schedule Id used to identify a specific schedule

Example:

"a2239897-51f8-4c09-83ab-0b2c28bd5a37"

versionName
string

Optional artifact version name of the pipeline that the schedule is associated with

Example:

"1.2.0"